# Get UK8S LoadBalancerController - GetUK8SLoadBalancerController

## Overview

Get information about the UK8S LoadBalancerController.






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUK8SLoadBalancerController`.                      | **Yes** |
| **PublicKey**  | string  | AccessKey ID, obtained from [Console](https://console.ziguang.unicloud.com/uaccount/api_manage)                                              | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability zone. Optional. |No|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **ClusterId** | string | UK8S cluster ID. |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **LastVersion** | string | Latest available version. |**Yes**|
| **Version** | string | Currently installed version. |**Yes**|
| **Installed** | boolean | Whether the LoadBalancerController is installed. |**Yes**|
| **CreateTime** | int | Installation time as a Unix timestamp in seconds. |**Yes**|
| **Status** | string | Runtime status: unknown, running, or notReady. |**Yes**|




## Example

### Request Example
    
```
https://api.ziguang.unicloud.com/?Action=GetUK8SLoadBalancerController
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=MhorCCvj
&ClusterId=EEVjjmri
&ClusterId=DKpKDIiu
```

### Response Example
    
```json
{
  "Action": "GetUK8SLoadBalancerControllerResponse",
  "CreateTime": 5,
  "Installed": false,
  "LastVersion": "FGcJfFPv",
  "RetCode": 0,
  "Status": "unknown",
  "Version": "DGsbQHZv"
}
```





